#### D.14.1.20 arrIsEssential

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrIsEssential(A); arrangement A;

Return:
  boolean: 1 if arr is essential, i.e. rank of maximal element of poset is dimension

Note:
  A has to be non-empty.

Example:

    LIB "arr.lib";
    ring S = 0,(x,y,z),lp;
    arr A = ideal(x,y,z);
    arr B = ideal(x+y+z,x,y+z);
    arrIsEssential(A);
    ==> 1
    arrIsEssential(B);
    ==> 0

See also: arrCone; arrDecone; arrEssentialize; arrIsEssential; arrRestrict.

User manual for Singular version 4.4.1, 2025, generated by texi2html.